Subject: [clisp-list] Re: statically linked clisp

From: Bruno Haible <[email-masked]>
Date: Mon Feb 2 11:20:29 2004

Not sure what you really want:

a) An executable that contains lisp.run and its memory image?

You can't do this with clisp. Instead use a binary package (tar.gz, rpm or
whatever) that installs the needed files in the appropriate locations.

b) A lisp.run which depends only on libc but not on other libraries?

You can get this one through the normal build mechanism, if you remove the
.la and .so (.dylib on MacOS X) parts of each library that clisp uses, before
the build, leaving only the .a form of each library.

c) A lisp.run which depends on no shared library at all?

Normally you don't want this, because such binaries often don't run with
newer kernel versions. (It's the libc which makes the interface between
kernel and clisp.) But if you want to do it, setting the LDFLAGS environment
variable to "-static" before building clisp should do it.

Bruno